Zoey REST API reference ยท Interactive version: apidocs.zoey.com

Orders

Orders: Customer

Update

PUT https://container-url.zoeysite.com/api/rest/sales2/orders/customer

Changing the Customer assigned to an order is not possible when the order was placed by a Customer belonging to an Account.

Param Type Notes Required
orderIncrementId string or int The Order ID. Yes
newCustomerId string or int The Customer ID. Yes
companyLocationId string or int The Account Location ID. Is removed if not set or null No

Example request body:

{
    "orderIncrementId": "100008665",
    "newCustomerId": "116"
}

Example response (Failure), HTTP 500:

{
    "messages": {
        "error": [
            {
                "code": 500,
                "message": "Changing the Customer assigned to an order is not possible when the order was placed by a Customer belonging to an Account."
            }
        ]
    }
}